Subject: Re: [bug#68115] [PATCH 00/18 rust-team] rust-apps: bat: Update to 0.24

From: Efraim Flashner <[email-masked]>
Date: Tue, 2 Jan 2024 11:39:25 +0200

On Fri, Dec 29, 2023 at 07:05:03PM -0500, Jaeme Sifat wrote:
> This patchset updates bat, the cat clone, to 0.24 as well as refactoring any
> package definitions along the way.
> 
> bat has a really peculiar way to packaging its extra files (completions +
> manual). Mainly, this results in bat.1 not having the correct project
> exectuable name instead using the placeholder.
> 
> If you can find a solution to this, I'll be glad to hear it. Not even nixpkgs
> packages the extra files.

My secret to finding this is to check the .github folder to see what
they use for CI. Between that and reading the build.rs I learned that if
BAT_ASSETS_GEN_DIR or OUT_DIR is set then the generated assets will go
in that directory. I adjusted the custom phase(s) accordingly to
generate them and then install those files.

I really appreciated your attention to the descriptions for the
packages, some of them were much much better than what upstream had.

Patches added to the rust-team branch!

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted